/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package studentlearningsoftware;

import javax.swing.ImageIcon;
import javax.swing.text.html.HTMLEditorKit;

/**
 *
 * @author Kruti
 */
public class HelpContent extends javax.swing.JFrame {

    /**
     * Creates new form HelpContent
     */
    public HelpContent() {
         this.setTitle("Student Learning Software:Help About Content");
        ImageIcon i = new ImageIcon("src/SLS.png");
        this.setIconImage(i.getImage());
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        Ok = new javax.swing.JButton();
        jPanel1 = new javax.swing.JPanel();
        jScrollPane1 = new javax.swing.JScrollPane();
        jEditorPane1 = new javax.swing.JEditorPane();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);

        Ok.setText("Ok");
        Ok.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                OkActionPerformed(evt);
            }
        });

        jEditorPane1.setEditable(false);
        jEditorPane1.setFont(new java.awt.Font("Comic Sans MS", 3, 18)); // NOI18N
        jScrollPane1.setViewportView(jEditorPane1);
        jEditorPane1.setEditorKit(new HTMLEditorKit());

        jEditorPane1.setText("<html><head></head><body><pre>\n\t<font size=20 color=red>***Data Structures***</font>"
            +"\n\n\n\t <font color=blue>1. What is data structure?</font>"
            +"\n\n\t A data structure is a way of organizing data that considers not only the items stored, but also their relationship to each other. "
            +"\n\t Advance knowledge about the relationship between data items allows designing of efficient algorithms for the manipulation of data."
            +"\n\n\t <font color=blue>2. List out the areas in which data structures are applied extensively?</font>"
            +"\n\t Compiler Design,"
            +"\n\t Operating System,"
            +"\n\t Database Management System,"
            +"\n\t Statistical analysis package,"
            +"\n\t Numerical Analysis,"
            +"\n\t Graphics,"
            +"\n\t Artificial Intelligence,"
            +"\n\t Simulation"
            +"\n\n\t<font color=blue> 3. stack</font>"
            +"\n\n\t Stack is a data structure which allows elements to be inserted as well as deleted from only one end. Stack is also known"
            +"\n\t as LIFO data structure. "
            +"\n\n\t <font color=blue>4. queue</font>"
            +"\n\n\t Queue is another most common data structure which allows elements to be inserted at one end called Front and deleted at another end called Rear."
            +"\n\t Queue is also known as FIFO data structure."
            +"\n\n\t <font color=blue>5. list</font>"
            +"\n\n\t A List is an ordered set consisting of a variable number of elements to which addition and deletions can be made. The first element of a List is"
            +"\n\t called head of List and the last element is called the tail of List. List can be represented using arrays or pointers. If pointers are used, then,the"
            +"\n\toperations on the list such as Insertion, Deletion etc. will become easy."
            +"\n\n\t <font color=blue>6. tree</font>"
            +"\n\n\t A Tree is a connected, acyclic graph. A Tree contains no loops or cycles. The concept of trees is one of the most fundamental and useful concepts in"
            +"\n\tComputer Science. A Tree structure is one in which items of data are related by edges."
            +"\n\n\t <font color=blue>7. graph</font>"
            +"\n\n\t A graph is an ordered pair G = (V, E) comprising a set V of vertices or nodes together with a set E of edges or lines, which are 2-element subsets of V i.e.,"
            +"\n\tan edge is related with two vertices, and the relation is represented as unordered pair of the vertices with respect to the particular"
            +"\n\tedge).</pre></body></html>");

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane1)
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 262, Short.MAX_VALUE)
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(Ok)
                .addGap(21, 21, 21))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addGap(6, 6, 6)
                .addComponent(Ok)
                .addGap(11, 11, 11))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void OkActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_OkActionPerformed
        this.dispose();
    }//GEN-LAST:event_OkActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(HelpContent.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(HelpContent.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(HelpContent.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(HelpContent.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new HelpContent().setVisible(true);
            }
        });
    }
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton Ok;
    private javax.swing.JEditorPane jEditorPane1;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JScrollPane jScrollPane1;
    // End of variables declaration//GEN-END:variables
}
